Skip to main content
PUT
/
service_accounts
/
{clientId}
Update service account
curl --request PUT \
  --url https://api.blaxel.ai/v0/service_accounts/{clientId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "description": "<string>",
  "name": "<string>"
}
'
{
  "client_id": "<string>",
  "created_at": "<string>",
  "description": "<string>",
  "name": "<string>",
  "updated_at": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.blaxel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

OAuth2 authentication with JWT tokens

Path Parameters

clientId
string
required

Client ID

Body

application/json
description
string

Service account description

name
string

Service account name

Response

200 - application/json

successful operation

client_id
string

Service account client ID

created_at
string

Creation timestamp

description
string

Service account description

name
string

Service account name

updated_at
string

Last update timestamp

Last modified on May 27, 2026